Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder
Class BinderConfiguration.Binding

    java.lang.Object
      org.springframework.webflow.engine.builder.BinderConfiguration.Binding

Enclosing class:
  BinderConfiguration

    public static final class BinderConfiguration.Binding

extends java.lang.Object

A binding that provides the information needed to connect an element of the view to a property of the model.

Author:
  Keith Donald

Constructor Summary
`BinderConfiguration.Binding(java.lang.String property, java.lang.String converter, boolean required)` Creates a new view binding

Method Summary
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getConverter()` The id of the custom converter to use to convert bound property values.
`java.lang.String` | `getProperty()` The name of the bound property.
`boolean` | `getRequired()` Whether a non-empty value is required for each binding attempt.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinderConfiguration.Binding

    public BinderConfiguration.Binding(java.lang.String property,
                                       java.lang.String converter,
                                       boolean required)

  Creates a new view binding

  Parameters:
    `property` - the model property to bind to
    `converter` - the id of a custom converter to apply type conversion during binding
    `required` - whether this binding is required

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getProperty

    public java.lang.String getProperty()

  The name of the bound property.

  Returns:
    the property

### getConverter

    public java.lang.String getConverter()

  The id of the custom converter to use to convert bound property values.

  Returns:
    the converter id, or null

### getRequired

    public boolean getRequired()

  Whether a non-empty value is required for each binding attempt.

  Returns:
    the required status

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD